> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List channels

> Retrieves all channels for the app, including their associated tag rules.



## OpenAPI

````yaml /swagger/management-api.json get /api/v1/{team_slug}/{app_slug}/channels
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/channels:
    get:
      tags:
        - Channels
      summary: List channels
      description: >-
        Retrieves all channels for the app, including their associated tag
        rules.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Channels retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseChannelList
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.OkResponseChannelList:
      properties:
        data:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Channel
          type: array
        success:
          type: boolean
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Channel:
      properties:
        active:
          type: boolean
        created_at:
          type: string
        description:
          type: string
        effective_publishing_rule:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PublishingRule
        id:
          type: string
        market_ids:
          items:
            type: string
          type: array
        name:
          type: string
        publishing_rule_id:
          type: string
        slug:
          type: string
        store_group_id:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PublishingRule:
      properties:
        created_at:
          type: string
        id:
          type: string
        is_default:
          type: boolean
        minimum_images:
          type: integer
        name:
          type: string
        should_have_brand:
          type: boolean
        should_have_category:
          type: boolean
        should_have_description:
          type: boolean
        should_have_main_category:
          type: boolean
        should_have_price:
          type: boolean
        should_have_product_name:
          type: boolean
        updated_at:
          type: string
      type: object

````